# Constant

Library: | Wiring
Introduced: | 2.0 Beta 1 (in Gates library, moved to Wiring in 2.7.0)
Appearance: |

## Behavior

Emits the value specified in its Value attribute.

## Pins

There is only one pin, an output whose bit width matches the Data Bits attribute. The location of this pin is specified in the Facing attribute. The component constantly outputs on this pin whatever value specified in the Value attribute.

## Attributes

When the component is selected or being added, the hexademical digits '0' through '9' and 'a' through 'f' alter its Value attribute, Alt-0 through Alt-9 alter its Data Bits attribute, and the arrow keys alter its Facing attribute.

Facing
  The direction in which the pin is located relative to where the value is drawn.
Data Bits
  The bit width of the value placed onto the wire.
Value
  The value, written in hexademical, that is emitted by the component. The number of bits used to specify the value cannot exceed the component's bit width.

## Poke Tool Behavior

None.

## Text Tool Behavior

None.

Back to Library Reference